SoulFire LogoSoulFire

Set user plugin permission grant

Creates or replaces one explicit plugin permission override.

PUT
/v1/users/{user_id}/plugin-permissions/{permission_id}

Creates or replaces one explicit plugin permission override.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

user_id*string
Formatuuid
permission_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

scope*soulfire.v1.PluginPermissionScope

The scope in which a plugin permission is evaluated.

Value in

  • "PLUGIN_PERMISSION_SCOPE_UNSPECIFIED"
  • "PLUGIN_PERMISSION_SCOPE_GLOBAL"
  • "PLUGIN_PERMISSION_SCOPE_INSTANCE"
  • "PLUGIN_PERMISSION_SCOPE_BOT"
  • "PLUGIN_PERMISSION_SCOPE_TASK"
resourceId?|
Formatuuid
granted*boolean

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/plugin-permissions/string" \  -H "Content-Type: application/json" \  -d '{    "scope": "PLUGIN_PERMISSION_SCOPE_UNSPECIFIED",    "granted": true  }'
{  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "permissionId": "string",  "scope": "PLUGIN_PERMISSION_SCOPE_UNSPECIFIED",  "resourceId": "string",  "granted": true,  "active": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

How is this page?